Ferret startup problem: Ferret::Analysis::Analyzer not found

Hi everyone,

I’m hitting a very basic start-up issue with Ferret.

I did a “gem install ferret” and installed ferret 0.11.5 (mswin32) on my
Windows XP machine. No problems. Then I did a “gem install
acts_as_ferret” and installed acts_as_ferret-0.4.3. Finally I added
‘require ferret’ and ‘require acts_as_ferret’ into my environment.rb.

When I start up Rails 1.2.6, I get the following start-up message; it’s
not finding the constant Ferret::Analysis::Analyzer. This has got to be
a very basic issue - can anyone help?

Thanks,
Graham G. (http://www.edu20.org)

== EXCEPTION TRACE ==

c:/ruby/lib/ruby/gems/1.8/gems/activesupport-1.4.4/lib/active_support/dependencies.rb:263:in
load_missing_constant': uninitialized constant Ferret::Analysis::Analyzer (NameError) from c:/ruby/lib/ruby/gems/1.8/gems/activesupport-1.4.4/lib/active_support/dependencies.rb:452:inconst_missing’
from
c:/ruby/lib/ruby/gems/1.8/gems/acts_as_ferret-0.4.3/lib/ferret_extensions.rb:17
from c:/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:21:in
require' from c:/ruby/lib/ruby/gems/1.8/gems/activesupport-1.4.4/lib/active_support/dependencies.rb:495:inrequire’
from
c:/ruby/lib/ruby/gems/1.8/gems/activesupport-1.4.4/lib/active_support/dependencies.rb:342:in
new_constants_in' from c:/ruby/lib/ruby/gems/1.8/gems/activesupport-1.4.4/lib/active_support/dependencies.rb:495:inrequire’
from
c:/ruby/lib/ruby/gems/1.8/gems/acts_as_ferret-0.4.3/lib/acts_as_ferret.rb:28
from c:/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:21:in
require' ... 27 levels... from c:/ruby/lib/ruby/gems/1.8/gems/activesupport-1.4.4/lib/active_support/dependencies.rb:342:innew_constants_in’
from
c:/ruby/lib/ruby/gems/1.8/gems/activesupport-1.4.4/lib/active_support/dependencies.rb:495:in
`require’
from ./script/server:3
from -e:4

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs